Subject: Re: bug#5386: 23.1.91;

From: Chong Yidong <[email-masked]>
Date: Fri, 15 Jan 2010 11:50:04 -0500

Dirk-Jan C. Binnema <[email-masked]> writes:

> I'm using emacs --daemon, and what happens quite often is that when I
> log out of my X session and log on as another user, the first user's
> daemon hangs around, and after a while start consuming a lot of CPU
> (up to 60-70% or more).  Only killing it seems to help.

I'm afraid this looks like a manifestation of Bug#3360, which is related
to a long-standing GTK bug.  One way to work around is to compile Emacs
without GTK support.